<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Login extends CI_Controller {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/user_guide/general/urls.html
	 */

	public function __construct(){
		parent::__construct();
		$this->load->model("User_model", "user");
	}
	public function index()
	{
	    $user_id = $this->session->userdata('user_id');
	    if(isset($user_id)) {
	        redirect(site_url()."/dashboard");
	    }else{
	        $this->load->view('pages/login');
	    }
		
	}

	public function auth_user(){
		$user_email = $this->input->post("user_email");
		$password = $this->input->post("password");
		$res = $this->user->auth_user($user_email, $password);
		if($res["success"]){
			$user = $res["data"];
			$this->session->set_userdata(array(
				"user_id" => $user["id"],
				"uuid" => $user["uuid"],
				"level" => $user["level"]
			));
			redirect(site_url()."/dashboard");
		}else{
			$this->load->view('pages/login', $res);
		}
	}

	public function sign_out(){
		$this->session->sess_destroy();
		redirect(site_url()."/login");
	}
}
